Bug 1252805 - (CVE-2015-5189) CVE-2015-5189 pcs: Incorrect authorization when using pcs web UI
CVE-2015-5189 pcs: Incorrect authorization when using pcs web UI
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150901,repor...
: Security
Depends On: 1253287 1253288 1253289 1253290
Blocks: 1252818
  Show dependency treegraph
 
Reported: 2015-08-12 05:24 EDT by Adam Mariš
Modified: 2015-09-01 10:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A race condition was found in the way the pcsd web UI backend performed authorization of user requests. An attacker could use this flaw to send a request that would be evaluated as originating from a different user, potentially allowing the attacker to perform actions with permissions of a more privileged user.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 10:04:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-12 05:24:21 EDT
It was reported that it's possible to get access as a different user when using pcsd (the pcs web UI) due to using a variable which is global to the server instead of the connection to validate usernames.

Scenario is following:
User A sends a command to pcsd, after the connection is made and authentication
happens, (but before any security checks are done), User B connects and authenticates. User A could potentially get access based on User B's permissions.

To take advantage of this the user must have access to login to pcsd.
Comment 3 Ján Rusnačko 2015-08-14 08:26:41 EDT
Acknowledgement:

This issue was discovered by Tomáš Jelínek of Red Hat.
Comment 4 errata-xmlrpc 2015-09-01 09:42:11 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1700 https://rhn.redhat.com/errata/RHSA-2015-1700.html

Note You need to log in before you can comment on or make changes to this bug.